Bug 759536 - r8169 realtek RTL-8169 ethernet controller stops working soon after resume from hibernate
r8169 realtek RTL-8169 ethernet controller stops working soon after resume fr...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2011-12-02 10:55 EST by Orion Poplawski
Modified: 2012-09-10 10:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-10 10:02:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2011-12-02 10:55:10 EST
Description of problem:

About 15-60 minutes after resuming from hibernate my network will stop working.  No kernel messages.  Unplugging and then re-plugging in the network cable will reset.  This seemed to start with the move from F15 to F16.  It may happen after cold start as well.  Generally no problems the rest of the day.

# dmesg | grep r8169
[   28.099751] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[   28.099783] r8169 0000:03:01.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[   28.099824] r8169 0000:03:01.0: (unregistered net_device): not PCI Express
[   28.100191] r8169 0000:03:01.0: eth1: RTL8169sb/8110sb at 0xfb53ef00, 00:e0:4c:77:ed:7b, XID 10000000 IRQ 17
[   31.397540] r8169 0000:03:01.0: p2p1: link down
[   31.397553] r8169 0000:03:01.0: p2p1: link down
[   33.832932] r8169 0000:03:01.0: p2p1: link up
[ 1960.058771] r8169 0000:03:01.0: p2p1: link down
[ 1962.849313] r8169 0000:03:01.0: p2p1: link up
[47169.112708] r8169 0000:03:01.0: restoring config space at offset 0x3 (was 0x4010, writing 0x4008)
[47169.320160] r8169 0000:03:01.0: p2p1: link down
[47171.703605] r8169 0000:03:01.0: p2p1: link up
[87104.648039] r8169 0000:03:01.0: restoring config space at offset 0x3 (was 0x4010, writing 0x4008)
[87104.854146] r8169 0000:03:01.0: p2p1: link down
[87107.527155] r8169 0000:03:01.0: p2p1: link up
[95591.682062] Modules linked in: des_generic cts rpcsec_gss_krb5 nfs fscache auth_rpcgss nfs_acl snd_usb_audio uvcvideo videodev media snd_hwdep snd_usbmidi_lib snd_rawmidi lockd snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm ppdev r8169 e100 mii snd_timer snd iTCO_wdt iTCO_vendor_support soundcore snd_page_alloc i2c_i801 parport_pc parport dcdbas microcode uinput sunrpc binfmt_misc nouveau ttm drm_kms_helper drm i2c_algo_bit i2c_core mxm_wmi wmi video [last unloaded: scsi_wait_scan]
[95591.922697] r8169 0000:03:01.0: restoring config space at offset 0x3 (was 0x4010, writing 0x4008)
[95592.116162] r8169 0000:03:01.0: p2p1: link down
[95594.427119] r8169 0000:03:01.0: p2p1: link up
[113924.466130] r8169 0000:03:01.0: restoring config space at offset 0x3 (was 0x4010, writing 0x4008)
[113924.601153] r8169 0000:03:01.0: p2p1: link down
[113927.096472] r8169 0000:03:01.0: p2p1: link up
[136921.809696] r8169 0000:03:01.0: restoring config space at offset 0x3 (was 0x4010, writing 0x4008)
[136922.017160] r8169 0000:03:01.0: p2p1: link down
[136924.290031] r8169 0000:03:01.0: p2p1: link up
[139276.273432] r8169 0000:03:01.0: p2p1: link down
[139282.874393] r8169 0000:03:01.0: p2p1: link up
[176856.264001] r8169 0000:03:01.0: restoring config space at offset 0x3 (was 0x4010, writing 0x4008)
[176856.476166] r8169 0000:03:01.0: p2p1: link down
[176858.991904] r8169 0000:03:01.0: p2p1: link up
[179307.524172] r8169 0000:03:01.0: p2p1: link down
[179317.848036] r8169 0000:03:01.0: p2p1: link up

03:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8169 Gigabit Ethernet (rev 10)
03:01.0 0200: 10ec:8169 (rev 10)
        Subsystem: 10ec:8169
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
        Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
        Latency: 64 (8000ns min, 16000ns max), Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 17
        Region 0: I/O ports at cc00 [size=256]
        Region 1: Memory at dbdfef00 (32-bit, non-prefetchable) [size=256]
        Expansion ROM at dbe00000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2+ AuxCurrent=375mA PME(D0-,D1+,D2+,D3hot+,D3cold+)
                Status: D0 NoSoftRst- PME-Enable- DSel=0 DScale=0 PME-
        Kernel driver in use: r8169
        Kernel modules: r8169


Version-Release number of selected component (if applicable):
kernel-PAE-3.1.2-1.fc16.i686
Comment 1 Josh Boyer 2012-03-28 14:01:45 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.